# Uses of Interface
org.eclipse.debug.ui.console.IConsole

Packages that use IConsole
Package
Description
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.

## Uses of IConsole in org.eclipse.debug.ui.console

Methods in org.eclipse.debug.ui.console that return IConsole
Modifier and Type
Method
Description
`protected IConsole`
ConsoleColorProvider.`getConsole()`
Returns the console this color provider is connected to, or `null` if none.
Methods in org.eclipse.debug.ui.console with parameters of type IConsole
Modifier and Type
Method
Description
`void`
ConsoleColorProvider.`connect(IProcess process, IConsole console)`
`void`
IConsoleColorProvider.`connect(IProcess process, IConsole console)`
Connects this color provider to the given process and console.
`void`
IConsoleLineTracker.`init(IConsole console)`
Notification that a console document has been created for which this listener is registered.